Get AI Agent Jobs and their Tools - Cognigy Documentation

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

Get AI Agent Jobs and their Tools

Endpoint: GET /v2.0/aiagents/{aiAgentId}/jobs

cURL Example

curl --request GET \
  --url https://api-trial.cognigy.ai/new/v2.0/aiagents/{aiAgentId}/jobs \
  --header 'X-API-Key: <api-key>'

Python Example

import requests

url = "https://api-trial.cognigy.ai/new/v2.0/aiagents/{aiAgentId}/jobs"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)
print(response.text)

JavaScript Example (Fetch API)

const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/aiagents/{aiAgentId}/jobs', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP Example

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/aiagents/{aiAgentId}/jobs",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go Example

package main

import (
    "fmt"
    "net/http"
    "io"
)

func main() {
    url := "https://api-trial.cognigy.ai/new/v2.0/aiagents/{aiAgentId}/jobs"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

HTTP Response Status Codes

Example JSON Response

[
  {
    "_id": "<string>",
    "referenceId": "<string>",
    "type": "aiAgentJob",
    "label": "<string>",
    "comment": "<string>",
    "commentColor": "<string>",
    "analyticsLabel": "<string>",
    "isDisabled": true,
    "isEntryPoint": true,
    "extension": "<string>",
    "config": {},
    "tools": [
      {
        "_id": "<string>",
        "referenceId": "<string>",
        "type": "<string>",
        "label": "<string>",
        "comment": "<string>",
        "commentColor": "<string>",
        "analyticsLabel": "<string>",
        "isDisabled": true,
        "isEntryPoint": true,
        "extension": "<string>",
        "config": {}
      }
    ]
  }
]

Error Response Example

{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}

Authorizations

Headers

Path Parameters

Response